Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598760 - saved searches drop-down doesn't work on IE
Summary: saved searches drop-down doesn't work on IE
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 3.0.0
Hardware: All
OS: Linux
high
medium vote
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Depends On:
Blocks: jon-sprint11-bugs
TreeView+ depends on / blocked
 
Reported: 2010-06-02 01:08 UTC by Joseph Marques
Modified: 2010-08-12 16:49 UTC (History)
1 user (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:49:37 UTC


Attachments (Terms of Use)

Description Joseph Marques 2010-06-02 01:08:19 UTC
Steps to Reproduce:
1. Use the down-arrow to open up the saved searches menu
2. Hover over any row
  
Actual results:

Nothing happens

Expected results:

The row being hovered over should be highlighted
A trash can image/icon should appear on the far right of the hovered row

-----


Steps to Reproduce:
1. Use the down-arrow to open up the saved searches menu
2. Select (left mouse click) any saved search using IE
  
Actual results:

Nothing happens

Expected results:

The clicked element should become the active saved search

Comment 1 Joseph Marques 2010-06-02 01:59:03 UTC
commit f5890290aa3c447089b27b098b74eeae3bf53b9d
Author: Joseph Marques <joseph@redhat.com>
Date:   Tue Jun 1 21:56:37 2010 -0400

BZ-598760: enable all saved search functionality (including user interactions) to work on IE

Comment 2 Rajan Timaniya 2010-06-14 10:12:58 UTC
Tested on Jon build# 210 & JON 2.4Beta1 with IE6 browser.

Could not verify this bug on IE6 as search is not working with IE6. User is not able to enter input in the searchbar.

Comment 3 Charles Crouch 2010-06-18 16:58:27 UTC
Rajan, does this work on any other flavours of IE?

Comment 4 Rajan Timaniya 2010-06-21 11:50:25 UTC
Tested on JON 2.4 GA_QA with IE 6/7 browser.

Could not verify the bug on IE 6/7 as search is not working with IE6 and menu is not working (not clickable) with IE7.

Comment 5 Joseph Marques 2010-06-21 12:00:25 UTC
Rajan, did you make sure to create some saved searches before opening the saved-searches drop-down?  If you don't have any saved searches, then nothing will be displayed.

(Arguably, some might say this is a defect in and of itself, and that we should be displaying an informative message like "You have no saved searches")

Comment 6 Rajan Timaniya 2010-06-21 12:39:54 UTC
Bellow are details:

QE Environment:
JON server & agent installation platform: RHEL 5.4
Database: Postgres 8.4
Browser: IE 6/7

For IE 6:
  Steps -
  1) Log-in to JON server
  2) Click on 'Resources' -> 'All Resources'
  3) Try to click in 'Search' textbox
  Observation: User unable to input text in 'Search' input box

For IE 7:
  Steps -
  1) Log-in to JON server
  2) Try to click on 'Resources' menu
  Observation: Menu is not clickable (nothing happens clicking on menu).

Comment 7 Joseph Marques 2010-06-21 15:36:04 UTC
For IE7/8, I've verified that the *menu bar* and *search bar* work just fine.  Can you hit ctrl+F5 to make sure you're getting the latest and greatest code.

As for IE6, yes, this is a known issue.

Comment 8 Joseph Marques 2010-06-21 15:37:29 UTC
Rajan, please verified whether the search functionality works on IE7/8 for now.  We have a separate bug open to capture the issues with IE6.

Comment 9 Rajan Timaniya 2010-06-22 13:02:04 UTC
Verified on JON 2.4GA_QE

QE Environment:
JON server & agent installation platform: Windows (win-2003)
Database: Oracle 11g (database installed on RHEL-5)
Browser: IE 7

The row being hovered over is highlighted and trash image/icon appear on the far right of the hovered row.
The clicked element becomes the active saved search.

Comment 10 Corey Welton 2010-08-12 16:49:37 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.